from ase.io import read, write
from ase.calculators.espresso import Espresso, EspressoProfile
from vibir_parallel_compute import ParallelVibrations
from vibir_parallel_compute.utils.analysis import Analysis
import os

atoms = read("structure.traj")


vib = ParallelVibrations(atoms, calc_obj=Espresso)


an = Analysis(vib)
an.get_summary(log="mode_frequency_summary.log")
an.export_traj()
an.export_gif(parallel=4)
